// Aspell SC_Error defination
// Copyright 1998 by Kevin Atkinson under the terms of the LGPL

#ifndef sc_error_hh
#define sc_error_hh

#include <string>

struct SC_Error {
  enum Problem {
    none, nonexistent, bad_format, cant_write, duplicates, 
    unknown_lang, mismatched_lang
  };

  string  file;
  string  add_info;
  Problem problem;
  
  string message() const;

  SC_Error() : problem (none) {}
  SC_Error(const string &f, Problem p) : file(f), problem(p) {}
  SC_Error(const string &f, const string &i, Problem p) 
    : file(f), add_info(i), problem(p) {}

  operator bool() const {return problem == none ? false : true;}
};

#endif
